Posso pular as versões ao atualizar?

109

Atualmente estou usando o Ubuntu 10.04. Eu sei que há uma versão 10.10, mas posso atualizar diretamente para o 11.04? Você poderia me acompanhar pelas etapas, por favor?

    
por Jared Reyes 10.04.2011 / 23:32

15 respostas

80

O Ubuntu suporta apenas a atualização de uma versão para a próxima versão, ou de uma versão LTS para a próxima versão LTS. Então você precisa atualizar de 10.04 para 10.10, e só então para 11.04.

Existem razões técnicas para essa restrição. Quando uma nova versão de um pacote existente é instalada, às vezes ele precisa realizar conversões, por exemplo, pode ser necessário importar configurações existentes para um novo formato de banco de dados. Ao realizar tais conversões, os scripts de empacotamento precisam fazer suposições sobre o formato antigo. Se as atualizações de todas as versões anteriores do Ubuntu fossem suportadas, isso rapidamente se tornaria um pesadelo de manutenção, já que os scripts de empacotamento teriam que ser capazes de converter todos os formatos usados anteriormente para o formato atual. Para evitar o pesadelo, os scripts de empacotamento apenas em geral suportam a atualização da versão do pacote incluída na versão anterior do Ubuntu ( e da versão anterior do LTS, no caso de um pacote incluído em uma versão LTS ).

A atualização direta da penúltima versão para a versão atual (chamada de "skip upgrade") é possível, mas pode resultar em um sistema mal configurado.

    
por jdthood 17.12.2012 / 14:41
42

Para atualizar de uma versão mais antiga (muito antiga, neste caso) que a versão anterior para a versão atual, é altamente não recomendado . É melhor fazer o download da nova versão, fazer um backup e, em seguida, instalar a nova versão.

Se você estiver usando o Ubuntu 10.04 e REALMENTE quiser atualizar a partir dessa versão até a versão mais recente, continue lendo, se você estiver usando o Ubuntu 10.10 e também quiser atualizar a partir dessa versão até a versão mais recente, vá para a segunda parte. Eu devo avisar pelo menos os usuários de 10,10 que isso envolve o download de mais de 2 GB de dados e levará cerca de um dia inteiro. E mesmo no final, pode ser mais lento, dar-lhe erros, sua conexão vai cair em algum momento ou o computador vai ficar louco. Isto significa que não dou a garantia de que funcionará sem falhas em todos os computadores. Então, realmente pense sobre isso se você quiser atualizar desta forma. Eu recomendo ler este link: Como faço para atualizar para uma versão mais recente do Ubuntu?

Aqui está uma imagem que mostra o que os usuários 10.04 devem ver depois que o 12.04 foi lançado:

UPDATE - se você estiver lendo isso após 12.04 sair, deve haver uma opção no Update Manager em 10.04 que diz para atualizar de 10.04 para 12.04. Este é o caminho a percorrer desde 12.04 saiu.

Por razões históricas, deixarei as informações abaixo para os usuários que queriam saber como fazê-lo antes de 12.04 sair , mas se você ainda estiver em 10.04, leia aqui: Como faço para atualizar para uma versão mais recente do Ubuntu? / a> desde fossfreedom criou uma resposta muito boa e completa sobre a atualização de 10.04 para 12.04.

  • PRIMEIRA PARTE (para usuários do Ubuntu 10.04 ANTES de 12.04 ter saído)

Se você está no Ubuntu 10.04 primeiro você precisa atualizar de 10.04 para 10.10 e 10.10 para 11.04. A razão é que 10.04 é uma versão LTS (Long Term Support) e como tal ele se atualiza de um LTS para outro . Então o próximo LTS seria 12.04. Quando o 12.04 chegar, você verá uma atualização notada no seu 10.04. Mas se você ainda quiser atualizar para o 11.04, faça o seguinte:

Ubuntu 10,04 a 10,10

Maneira do menu
1a. Usando o menu, vá para Sistema - & gt; Administração - & gt; Gerenciador de Atualizações .

Modo de teclado
1b. ALT + F2 e tipo gksu update-manager

Quando o gerenciador de atualizações abrir e NÃO mostrar a mensagem " Nova versão do Ubuntu disponível " na parte superior, siga as etapas abaixo:

2- Clique no botão CONFIGURAÇÕES no Gerenciador de Atualizações na parte inferior esquerda dele. Depois que as fontes de software do Windows abrir, você deverá entrar na Guia Atualizar , onde você alterará a opção Liberar atualização na parte inferior. Mude de um que tenha para Lançamentos normais e feche. O que você fez aqui foi dizer ao Ubuntu para não verificar as versões do LTS, mas para verificar a versão normal. Versões normais são aquelas que saem a cada 6 meses. LTS sai a cada 2 anos. Por exemplo, 8.04, 10.04, 12.04 ..

2.1 Abra o Gerenciador de Atualizações novamente seguindo as etapas em 1a ou 1b.

2.2. Clique no botão UPGRADE que deve aparecer lá na parte superior. Depois de terminar a atualização, reinicie o PC e você deve estar em 10.10. Teste um pouco e, em seguida, se você estiver 100% certo de ir para o 11.04 faça o seguinte:

  • SECOND PART (para usuários do Ubuntu 10.10)

Ubuntu 10.10 a 11.04

  1. ALT + F2 e digite 'gksu update-manager -d' para abrir o gerenciador de atualização. O -d é verificar se existe uma versão em desenvolvimento. Como o 11.04 ainda está em desenvolvimento, ele aparecerá na parte superior do Gerenciador de Atualizações dizendo Novo Ubuntu Versão 11.04 com um botão para UPGRADE

  1. Clique no botão ATUALIZAR e siga-o.

IMPORTANTE - Certifique-se de ter ALREADY atualizado tudo no Ubuntu 10.10. Então você está pronto para uma atualização limpa para o 11.04.

OBSERVAÇÃO - De LTS para LTS você pode realmente atualizar. Por exemplo, 10,04 LTS a 12,04 LTS. Mas para qualquer outro como 10.10 você precisa realmente atualizar de um lançamento para o outro até chegar ao final. No seu caso, antes de 12.04 saiu você poderia atualizar de 10.04 para 10.10 e 10.10 para 11.04 e assim por diante até 11.10. Depois de 12.04 saiu você pode atualizar diretamente para 12.04, pois é o próximo LTS lançado.

    
por Luis Alvarado 11.04.2011 / 00:00
25

Não, não é possível.

usando métodos de atualização padrão.

As únicas atualizações de versão "ponto a ponto" que funcionam fora da versão padrão para liberar atualizações são as atualizações de versão LTS. Em outras palavras, você pode atualizar de 8.04 - & gt; 10,04 e 10,04 - & gt; 12.04 sem ter que atualizar para cada uma das três outras versões não-LTS entre elas. Caso contrário, você precisará ir ao lado de 10.10 e 11.04. Já que você não está muito atrás, não deve demorar muito. Simplesmente execute o gerenciador de atualização como faria normalmente e siga a cadeia para 11.04.

Se você fosse tentar, poderia simplesmente inserir um disco 11.04 e instalar sobre a instalação 10.10. Isto deve manter todo o conteúdo da sua pasta pessoal intacto, mas você terá que reinstalar todo o software que você tinha antes da "re-instalação"

    
por Marco Ceppi 28.05.2011 / 13:47
24

Você não pode ignorar versões entre atualizações. A versão entre o Jaunty e o Lucid é o Karmic. Sugiro que você faça backup de dados importantes e faça uma reinstalação completa, já que muitas coisas mudaram, incluindo o gerenciador de inicialização.

Se você não gosta de uma nova instalação, pode atualizar usando um CD alternativo.

Preparativos:

  • Backup do sistema (se possível, uma imagem de disco )
  • Faça backup de seus arquivos pessoais (o diretório inicial) para que você possa copiar os arquivos com facilidade
  • Remova todos os repositórios de PPA e não padrão, incluindo seus pacotes
  • Esteja preparado para falhas, tenha um Live CD disponível para que você possa inicializar mesmo que o disco esteja morto

A atualização usando o CD alternativo é descrita abaixo:

  1. Faça o download de ubuntu-9.10-alternate-i386.iso do link para o seu diretório pessoal (substitua i386 por amd64 se você tiver um Sistema de 64 bits e ubuntu com kubuntu para o KDE)
  2. Abra um terminal e execute:

    sudo mount -o loop ~/ubuntu-9.10-alternate-i386.iso /media/cdrom
    
  3. Inicie a atualização executando:

    gksu "sh /media/cdrom/cdromupgrade"
    

    Se você estiver usando o KDE (Kubuntu):

    kdesudo "sh /media/cdrom/cdromupgrade"
    
  4. Reinicializar

Após esta atualização de 9.04 para 9.10, prossiga com a atualização para o 10.04 usando:

sudo do-release-upgrade -d
    
por Lekensteyn 09.06.2011 / 12:50
11

Sim e não!

Sim, é possível - e eu vi algumas pessoas tentando uma atualização forçada via sudo do-release-upgrade / ou alterando manualmente suas sources.list - Mas ...

não faça isso ...

A Canonical suporta apenas uma atualização de LTS para LTS (ou seja, 10.04 a 12.04) ou de cada versão intermediária (10.04 - 10.10 - 11.04 - 11.10 - 12.04 - 12.10 etc.)

Se você tentar forçar uma atualização, é muito provável que você quebre o sistema - os arquivos podem não ser atualizados ou atualizados e, provavelmente, você terá um sistema muito estranho ou até mesmo um sistema que não inicializará.

Eu também vi várias pessoas tentando fazer o backup do / home e restaurá-lo em uma nova instalação. Isso geralmente funciona - no entanto - eu pessoalmente prefiro fazer uma instalação limpa e fresca de copiar arquivos específicos do backup. A vantagem de simplesmente copiar arquivos específicos é que você limpa todo o lixo que acumulou ao longo dos anos.

    
por fossfreedom 28.05.2011 / 13:40
6

Você precisará atualizar para 10.10 e, em seguida, para 11.04. Você pode usar o gerenciador de atualização, mas também pode usar do-release-upgrade na linha de comando.

Pode ser necessário atualizar primeiro update-manager-core , caso em que toda a sequência ficará assim:

sudo apt-get install update-manager-core
do-release-upgrade

Você pode repetir o processo de atualização para chegar ao 11.04.

    
por belacqua 11.04.2011 / 05:47
5

Você pode fazer o método acima sem precisar instalar o apache ou alterar / etc / hosts. Apenas salve o arquivo meta-release do wget em algum lugar (exceto em cima de / etc / update-manager / meta-release) e edite-o conforme descrito. Então, em / etc / update-manager / meta-release, mude a linha "URI = http: // ....." para "URI = file: /// caminho / para / meu / editado / meta-release / arquivo "

Além disso, para que o do_release_upgrade funcione, em seu arquivo de meta-versão editado, é necessário alterar o archive nas URLs de Release-File, Upgrade-Tool e UpgradeToolSignature de http://archive.... para http://old-releases...

    
por Steve 27.05.2012 / 16:14
5

Obrigado por resolver os problemas que eu estava tendo com a atualização de um sistema antigo. No entanto, há um aprimoramento que usei para tornar isso muito mais fácil: você não precisa instalar o apache.

Basta usar um file:// URI em vez de um http:// URI.

Portanto, o processo é assim (meu nome de usuário é "fozzy"):

[email protected]:~$ wget -O - http://changelogs.ubuntu.com/meta-release | sed '/lucid/,$d' > meta-release

Edite o arquivo de meta-release no seu diretório home com o seu editor favorito, para que a linha "Supported: 0" no bloco cármico agora leia: "Supported: 1".

Edite / etc / update-manager / meta-release e faça os URIs assim (observe as três barras seguidas):

URI = file:///home/fozzy/meta-release
URI_LTS = file:///home/fozzy/meta-release

Execute a atualização da versão.

O bom disso é que não há necessidade de instalar o apache e tudo o que ele traz - eu o estava usando em um sistema mínimo e não queria que todas essas coisas entrassem. Isso também significa que você pode editar o meta. -release arquivo sem ser root.

Você só precisa do root para editar o arquivo /etc/update-manager/meta-release e executar do-release-upgrade .

    
por user88511 09.09.2012 / 16:51
4

Você não pode pular uma versão ao atualizar o Ubuntu. Então você precisará primeiro atualizar para 9.10 e depois de 9.10 para 10.04.

    
por binW 09.06.2011 / 12:46
4

Jaunty saiu do suporte em algum momento. A próxima versão do Jaunty (Karmic) também está fora de suporte.

Você também não pode pular versões intermediárias, ou seja, não 9.04 a 10.4 - você tem que passar por 9.10.

Como tanto o Jaunty quanto o Karmic foram removidos dos repositórios principais, a melhor maneira de atualizar é baixar a ISO de desktop de 10.04 e fazer uma nova instalação.

Você deve, claro, fazer backup de todos os arquivos não ocultos em / home antes da instalação. Você pode restaurá-los depois.

    
por fossfreedom 09.06.2011 / 12:48
2

Para aqueles que planejam limpar a instalação, siga as etapas abaixo.

O que você precisará: Disco separado, HDD externo recomendado.

  1. Abra um Terminal e defina por exemplo:
    your_mount_point_of_external_HDD=/media/USBDRIVE
  2. sudo tar czvf /media/$your_mount_point_of_external_HDD/mybackup.tar.gz /home # Backup da sua pasta / home.
  3. sudo tar czvf /media/$your_mount_point_of_external_HDD/mysources.tar.gz /etc/apt/ # Faça backup dos seus repositórios.
  4. sudo dpkg --get-selections > /media/$your_mount_point_of_external_HDD/mypackages # Faça uma lista de pacotes instalados
  5. Desligue, desconecte o HDD externo e instale o novo sistema, adicionando o usuário com o mesmo nome.
  6. Após a conclusão da instalação, replique o HD externo e entre novamente: |% your_mount_point_of_external_HDD=/media/USBDRIVE
  7. cd /; sudo tar xvzf /media/$your_mount_point_of_external_HDD/mysources.tar.gz
  8. %código%; NEW_DISTRO = ORIGINAL_DISTRO=grep deb /etc/apt/sources.list | cut -d " " -f 3 | sort | head -n 1 ; sudo grep -rl $ ORIGINAL_DISTRO / etc / apt | sudo xargs sed -i "s / $ ORIGINAL_DISTRO / $ NEW_DISTRO /" # Isso mudará o nome de código da fonte antiga para a nova. (Você pode editar os arquivos em lsb_release -cs manualmente, se souber como fazê-lo)
  9. /etc/apt # aqui provavelmente você verá erro de chaves ausentes. Para contorná-los rapidamente:
    • sudo apt-get update
    • sudo apt-add-repository ppa:nilarimogard/webupd8
    • sudo apt-get update
    • sudo apt-get install launchpad-getkeys
  10. sudo launchpad-getkeys # Com isso, você reinstalará os pacotes.
  11. dpkg --clear-selections && dpkg --set-selections < /media/$your_mount_point_of_external_HDD/mypackages # Isso irá descompactar seu diretório cd / && tar xvzf /media/$your_mount_point_of_external_HDD/mybackup.tar.gz para o lugar dele

Isso é tudo. Claro que isso não é livre de erros e funciona apenas se o sistema tiver um usuário, etc.

    
por Frantique 11.06.2012 / 18:08
2

Encontrei uma maneira simples de contornar este problema e ainda atualizar on-line sem o CD.

Resumo rápido

  1. Instalar o Apache
  2. obtenha o arquivo link em / var / www
  3. Ajustar o arquivo baixado
  4. Ajuste os arquivos de sistema para apontar para o servidor e o arquivo baixado
  5. ativa o servidor Apache padrão
  6. Aqui está!

Nota: (atualizado em 2014-07-25) veja também a resposta do Rubo77 aqui . Evita instalar o Apache.

Informações detalhadas

1) Instale o Apache (pule se já estiver instalado): sudo apt-get install apache2

2) Obter o arquivo localmente

cd /var/www
sudo wget http://changelogs.ubuntu.com/meta-release

3) Atualize o arquivo

Remove toda a versão depois do Karmic, e muda a linha Supported: 0 substituindo 0 por 1 pelo Karmic.

4) Ajuste alguns arquivos do sistema:

Edite / etc / update-manager / meta-release e modifique:

URI = http://127.0.0.1/meta-release
URI_LTS = http://127.0.0.1/meta-release

(sim, solte a parte '-lts' para URI_LTS)

5) Ative o servidor padrão do apache: sudo a2ensite default

5.1) Estado intermediário, verifique se isso está funcionando

cd /tmp
wget http://127.0.0.1/meta-release

5.2) Se houver erro, tente reiniciar o Apache2:

'sudo /etc/init.d/apache2 restart'

6) Upgrade: verifique as instruções detalhadas no Ubuntu Community Doc . Aqui está um resumo rápido:

6.1) Por favor, certifique-se de ter as seguintes sources.list (/etc/apt/sources.list).

## EOL upgrade sources.list
# Required
deb http://old-releases.ubuntu.com/ubuntu/ jaunty main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ jaunty-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ jaunty-security main restricted universe multiverse

# Optional
#deb http://old-releases.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse
#deb http://old-releases.ubuntu.com/ubuntu/ jaunty-proposed main restricted universe multiverse

6.2) Atualize a lista de pacotes e atualize todos os pacotes instalados

sudo aptitude update && sudo aptitude safe-upgrade

6.3) Realize o upgrade da versão

sudo do-release-upgrade

Caminho alternativo

Para o passo 4, faça o seguinte:

URI = http://changelogs.ubuntu.com/meta-release
URI_LTS = http://changelogs.ubuntu.com/meta-release

Em seguida, modifique o / etc / hosts para alterar o changelogs.ubuntu.com para o IP do seu próprio servidor. Adicione uma nova linha com:

127.0.0.1    changelogs.ubuntu.com

Limpeza

Após a atualização, você pode remover o apache2, restaurar os arquivos do sistema (/ etc / update-manager / meta-release e possivelmente / etc / hosts).

    
por Huygens 10.05.2012 / 17:01
1
sudo apt-get install update-manager-core

do-release-upgrade

mas com base na sua mensagem de erro, duvido que você obtenha resultados diferentes. Eu recebi o mesmo erro e ainda não encontrei uma solução.

    
por user11578 28.02.2011 / 04:04
-1

Atualização automática, remota e incremental para a versão mais recente

Não vou repetir as respostas dos outros, mas sei como conseguir o efeito de ir de um lançamento antigo para o mais recente. Isso requer acesso a outra máquina com um terminal e ssh instalados para que você possa automatizar o processo usando ssh e um loop no shell.

Apenas para expandir as respostas anteriores, aqui está como fazer remotamente o mesmo que a resposta aceita, usando uma atualização sem senha sobre o ssh que fará com que sua caixa seja atualizada para a versão mais recente. É copiado do meu próprio blog .

Todos estes passos assumem que o seu repositório de pacotes está funcionando. Ou seja, se você executar o apt-get update, não será apresentado um monte de 404s devido a ter uma versão desatualizada. Você precisa corrigir isso primeiro, então veja esta resposta para isso.

0. Atualizar todos os pacotes existentes

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

1. Configurar execução sem senha

Adicione sua auto à lista de usuários que podem executar o do-release-upgrade usando o sudo sem precisar digitar uma senha, executando

sudo visudo -f /etc/sudoers.d/do-release-upgrade.

e adicionando a seguinte linha, substituindo o meu nome de usuário pelo seu, é claro:

my-username ALL=NOPASSWD: /usr/bin/do-release-upgrade

2. Iniciar atualizações incrementais

Efetue logout e execute o seguinte comando no seu computador. Ele fará uma atualização sem solicitar entrada (aceitando todas as respostas padrão), aguardar a reinicialização do computador e tentar atualizar novamente. Ele é executado até que você seja atualizado para a versão mais recente.

while true; do 
    ssh [email protected] sudo do-release-upgrade -f DistUpgradeViewNonInteractive;
    sleep 120; 
done

3. Corrigir arquivos de configuração ao estado anterior

Depois disso, você terá que mover os arquivos de configuração de backup para o local anterior, pois o processo de atualização colocou as configurações padrão em seus lugares.

Não satisfeito com as respostas padrão?

Esse cara tem uma maneira de prepare respostas para cada prompt, mas a desvantagem é que você deve saber quantos prompts existem…

    
por oligofren 06.06.2013 / 22:34
-5

Abra um terminal, execute sudo update-manager -d e você está fora!

    
por dasen 10.04.2011 / 23:55

Tags